%global momorel 1
%global srcdate 20160607

Name:		json-c
Version:	0.12.1
Release:	%{momorel}m%{?dist}
Summary:	A JSON implementation in C
Group:		Development/Libraries
License:	MIT
URL:		http://oss.metaparadigm.com/json-c/
#Source0:	http://oss.metaparadigm.com/json-c/json-c-%{version}-%{srcdate}.tar.gz
#Source0:	https://github.com/%{name}/%{name}/archive/%{name}-%{version}-%{srcdate}.tar.gz
Source0:	https://s3.amazonaws.com/json-c_releases/releases/%{name}-%{version}.tar.gz
NoSource:	0
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


%description
JSON-C implements a reference counting object model that allows you to easily
construct JSON objects in C, output them as JSON formatted strings and parse
JSON formatted strings back into the C representation of JSON objects.

%package devel
Summary:	Development headers and library for json-c
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains the development headers and library for json-c.


%package doc
Summary:	Reference manual for json-c
Group:		Documentation
BuildArch:	noarch

%description doc
This package contains the reference manual for json-c.

%prep
%setup -q -n %{name}-%{version}
# Get rid of maintainer mode cflags.
sed -i 's|-Werror ||g' Makefile.am.inc
for doc in ChangeLog; do
 iconv -f iso-8859-1 -t utf8 $doc > $doc.new &&
 touch -r $doc $doc.new &&
 mv $doc.new $doc
done

%build
# Get rid of rpath.
autoreconf -fiv
%configure --enable-shared --disable-static --disable-rpath --enable-rdrand
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Get rid of la files
rm -rf %{buildroot}%{_libdir}/*.la

%check
make check

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README README.html
%{_libdir}/libjson-c.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/json-c/
%{_libdir}/libjson-c.so
%{_libdir}/pkgconfig/json-c.pc

%files doc
%defattr(-,root,root,-)
%doc doc/html/*

%changelog
* Fri Mar 24 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.12.1-1m)
- update to 0.12.1

* Sun Apr  5 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.12-1m)
- update to 0.12

* Mon Aug 22 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9-1m)
- Initial Commit Momonga Linux

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Apr 06 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.9-1
- First release.
